Debian Bug report logs - #333331
ITP: khmerconverter -- converts between legacy Khmer encodings and Unicode

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Paul Wise <pabs@debian.org>

Date: Tue, 11 Oct 2005 11:48:14 UTC

Owned by: paul wise <pabs3@bonedaddy.net>

Severity: wishlist

Fixed in version khmerconverter/1.0-1

Done: Paul Wise <pabs3@bonedaddy.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, paul wise <pabs3@bonedaddy.net>:
Bug#333331; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs3@bonedaddy.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, paul wise <pabs3@bonedaddy.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: khmer-to-unicode -- converts legacy Khmer encodings to Unicode
Date: Tue, 11 Oct 2005 19:41:40 +0800
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Paul Wise <pabs3@bonedaddy.net>

* Package name    : khmer-to-unicode
  Version         : 1.8a
  Upstream Author : Javier Solá <javier@khmeros.info>
* URL             : http://www.khmeros.info/drupal/?q=en/download/others
* License         : LGPL
  Description     : converts legacy Khmer encodings to Unicode

These programs take a plain text file encoded in either of the ABC or
Limon Khmer legacy fonts and creates a file that is the equivalent in
Khmer Unicode (UTF-8).

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, paul wise <pabs3@bonedaddy.net>:
Bug#333331; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, paul wise <pabs3@bonedaddy.net>. Full text and rfc822 format available.

Message #10 received at 333331@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Paul Wise <pabs3@bonedaddy.net>, 333331@bugs.debian.org
Subject: Re: Bug#333331: ITP: khmer-to-unicode -- converts legacy Khmer encodings to Unicode
Date: Tue, 11 Oct 2005 14:41:59 +0200
[Paul Wise]
> These programs take a plain text file encoded in either of the ABC
> or Limon Khmer legacy fonts and creates a file that is the
> equivalent in Khmer Unicode (UTF-8).

Are you aware of the iconv program, capable of converting between all
the charmaps supported by glibc (quite a lot).  If the legacy khmer
charmap is not supported by glibc, I suggest adding support there and
use iconv instead of adding yet another charset conversion program to
debian.

'iconv -l' list the supported charmaps.  The package description do
not mention which charmap is used in legacy khmer documents, so I am
not sure if the charmap is relevant for this.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, paul wise <pabs3@bonedaddy.net>:
Bug#333331; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs3@bonedaddy.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, paul wise <pabs3@bonedaddy.net>. Full text and rfc822 format available.

Message #15 received at 333331@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: 333331@bugs.debian.org, Petter Reinholdtsen <pere@hungry.com>
Subject: Re: Bug#333331: ITP: khmer-to-unicode -- converts legacy Khmer encodings to Unicode
Date: Tue, 11 Oct 2005 21:16:54 +0800
[Message part 1 (text/plain, inline)]
On Tue, 2005-10-11 at 14:41 +0200, Petter Reinholdtsen wrote:

> Are you aware of the iconv program, capable of converting between all
> the charmaps supported by glibc (quite a lot).  If the legacy khmer
> charmap is not supported by glibc, I suggest adding support there and
> use iconv instead of adding yet another charset conversion program to
> debian.
> 
> 'iconv -l' list the supported charmaps.
> 
> The package description do not mention which charmap is used in legacy
> khmer documents, so I am not sure if the charmap is relevant for this.

Well, it is more of two different fonts than a charmap/character set -
there were no standard character sets for Khmer before Unicode as far as
I can tell.

The ABC and Limon fonts are legacy ASCII fonts that are very much
depreciated in favour of the new standard Unicode block. I don't think
there is any point spending time trying to get glibc to support them.

iconv -l lists lots of things, it doesn't explain any of them, so I've
no idea if it supports any fonts, let alone these ones.

This is also the case for Burmese/Mon/etc from Burma, except the ASCII
fonts are still used because the Burmese Unicode block is not supported
anywhere yet. Slowly moving closer tho, hopefully by the etch release.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, paul wise <pabs3@bonedaddy.net>:
Bug#333331; Package wnpp. Full text and rfc822 format available.

Message #18 received at 333331@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: Paul Wise <pabs3@bonedaddy.net>, 333331@bugs.debian.org
Subject: Re: Bug#333331: ITP: khmer-to-unicode -- converts legacy Khmer encodings to Unicode
Date: Tue, 11 Oct 2005 15:38:19 +0200
[Message part 1 (text/plain, inline)]
Re: Paul Wise in <1129036614.6854.36.camel@localhost.localdomain>
> The ABC and Limon fonts are legacy ASCII fonts that are very much
> depreciated in favour of the new standard Unicode block. I don't think
> there is any point spending time trying to get glibc to support them.

If it's worth having any converter in Debian, it should also be worth
getting the support in iconv/glibc. That will get every program out
there Khmer support. (Think of mutt, and messages in Khmer, etc.)

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, paul wise <pabs3@bonedaddy.net>:
Bug#333331; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs3@bonedaddy.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, paul wise <pabs3@bonedaddy.net>. Full text and rfc822 format available.

Message #23 received at 333331@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: Christoph Berg <myon@debian.org>
Cc: 333331@bugs.debian.org
Subject: Re: Bug#333331: ITP: khmer-to-unicode -- converts legacy Khmer encodings to Unicode
Date: Tue, 11 Oct 2005 21:45:02 +0800
[Message part 1 (text/plain, inline)]
On Tue, 2005-10-11 at 15:38 +0200, Christoph Berg wrote:

> If it's worth having any converter in Debian, it should also be worth
> getting the support in iconv/glibc. That will get every program out
> there Khmer support. (Think of mutt, and messages in Khmer, etc.)

Well, I personally don't think it is worth having support for random
fonts in glibc (nor do I have the skills to prepare this support), so I
personally am not going to spend time on it.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, paul wise <pabs3@bonedaddy.net>:
Bug#333331; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Peter Samuelson <peter@p12n.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, paul wise <pabs3@bonedaddy.net>. Full text and rfc822 format available.

Message #28 received at 333331@bugs.debian.org (full text, mbox):

From: Peter Samuelson <peter@p12n.org>
To: Paul Wise <pabs3@bonedaddy.net>, 333331@bugs.debian.org
Subject: Re: Bug#333331: ITP: khmer-to-unicode -- converts legacy Khmer encodings to Unicode
Date: Wed, 12 Oct 2005 01:37:11 -0500
[Message part 1 (text/plain, inline)]
[Paul Wise]
> * Package name    : khmer-to-unicode
> * URL             : http://www.khmeros.info/drupal/?q=en/download/others
> 
> These programs take a plain text file encoded in either of the ABC or
> Limon Khmer legacy fonts and creates a file that is the equivalent in
> Khmer Unicode (UTF-8).

Is this not a job for iconv?  If iconv does not currently handle Khmer
encodings, it seems to me it would be better to send a patch to the
glibc maintainers to add them.  Are there reasons iconv is not suited
to this task?  I do note from the upstream web page that there are a
few twists in the conversion algorithms, as opposed to a simple lookup
table, but surely that is true for some of iconv's existing supported
character sets too....
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, paul wise <pabs3@bonedaddy.net>:
Bug#333331; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs3@bonedaddy.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, paul wise <pabs3@bonedaddy.net>. Full text and rfc822 format available.

Message #33 received at 333331@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: 333331@bugs.debian.org
Cc: Peter Samuelson <peter@p12n.org>, Christoph Berg <myon@debian.org>, Petter Reinholdtsen <pere@hungry.com>
Subject: Re: Bug#333331: ITP: khmer-to-unicode -- converts legacy Khmer
Date: Thu, 12 Jan 2006 11:12:08 +0800
[Message part 1 (text/plain, inline)]
Some more information from upstream about the iconv issue:

> I have seen the discussion in the bug.
> 
> Coversion from legacy to Unicode in Khmer is so complex that it would be 
> a nightmare to do it in a standard system, even if the system was able 
> to do it (which I very much doubt). It requires complex reordering of 
> characters (in legacy fonts you type from left to write, in Unicode you 
> type phonetically, which often goes right to left), breaking up 
> characters in legacy that require 2 or more code-points in Unicode, 
> reuniting several legacy code-points into one unicode code-point (after 
> reordering, often with characters in the middle that need to be 
> rellocated somewhere else, and then the recombination results depend on 
> which character was in the middle)... and all this is different for each 
> legacy encoding (that is why the program needs to be compiled 
> differently for ABC and Limon). I have never seen a system that was able 
> to do it correctly... and for us it really has no value doing it.
> 
> > Thanks for that info. Do you mind if I quote you if/when anyone asks
> > about that?
> 
> Please do. One of the things that we often find with very complex 
> scripts is that people in western countries who have not been exposed 
> have a hard time understanding that a script can do such funny things. 
> They tend to believe that Chinese would be the most complex language to 
> display... and this is really far from the truth, even Arabic would be 
> more difficult to display. Input methods are a different story... here 
> Chinese and Japanese are the difficult ones.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Paul Wise <pabs3@bonedaddy.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Paul Wise <pabs3@bonedaddy.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Paul Wise <pabs3@bonedaddy.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Paul Wise <pabs3@bonedaddy.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #42 received at 333331-close@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: 333331-close@bugs.debian.org
Subject: Bug#333331: fixed in khmerconverter 1.0-1
Date: Sat, 08 Jul 2006 10:46:11 -0700
Source: khmerconverter
Source-Version: 1.0-1

We believe that the bug you reported is fixed in the latest version of
khmerconverter, which is due to be installed in the Debian FTP archive:

khmerconverter_1.0-1.diff.gz
  to pool/main/k/khmerconverter/khmerconverter_1.0-1.diff.gz
khmerconverter_1.0-1.dsc
  to pool/main/k/khmerconverter/khmerconverter_1.0-1.dsc
khmerconverter_1.0-1_all.deb
  to pool/main/k/khmerconverter/khmerconverter_1.0-1_all.deb
khmerconverter_1.0.orig.tar.gz
  to pool/main/k/khmerconverter/khmerconverter_1.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 333331@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Wise <pabs3@bonedaddy.net> (supplier of updated khmerconverter package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 27 Jun 2006 17:22:58 +0800
Source: khmerconverter
Binary: khmerconverter
Architecture: source all
Version: 1.0-1
Distribution: unstable
Urgency: low
Maintainer: Paul Wise <pabs3@bonedaddy.net>
Changed-By: Paul Wise <pabs3@bonedaddy.net>
Description: 
 khmerconverter - converts between legacy Khmer encodings and Unicode
Closes: 333331
Changes: 
 khmerconverter (1.0-1) unstable; urgency=low
 .
   * Initial release (Closes: #333331)
Files: 
 2993e888d34328ae7971d682ff5eb824 672 text optional khmerconverter_1.0-1.dsc
 68a95abfcf9caef3756de91a2e5462c2 87198 text optional khmerconverter_1.0.orig.tar.gz
 b82eedda8b56da4c230036dc767d93c0 3113 text optional khmerconverter_1.0-1.diff.gz
 50f13e565db379a6b9aff7cc6bb34583 40150 text optional khmerconverter_1.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFErI0i1OXtrMAUPS0RAr7lAKCzz37lCB2EjK5PSiX5NXeNk1W79wCfbi59
6+3r9tm9lk31qDqhrGHxy8w=
=v453
-----END PGP SIGNATURE-----




Changed Bug submitter from Paul Wise <pabs3@bonedaddy.net> to Paul Wise <pabs@debian.org>. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 23:09:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:57:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.